Bug 696815 - F15 Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or directory.
F15 Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or d...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
15
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-14 18:11 EDT by Reartes Guillermo
Modified: 2013-03-05 23:06 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:52:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Reartes Guillermo 2011-04-14 18:11:22 EDT
Description of problem:

I have these errors in messages:

Apr 14 18:01:19 xxxxx dbus: [system] Activating via systemd service name='org.freedesktop.Avahi' unit='dbus-org.freedesktop.Avahi.service'
Apr 14 18:01:19 xxxxx dbus: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.Avahi.service': Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.

# systemctl status dbus-org.freedesktop.Avahi.service
dbus-org.freedesktop.Avahi.service
          Loaded: error
          Active: inactive (dead)

# chkconfig --list | grep -i ava

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overriden by native
      systemd configuration.

avahi-daemon    0:off   1:off   2:off   3:on    4:on    5:on    6:off

# service avahi-daemon status
avahi-daemon.service - Avahi mDNS/DNS-SD Stack
          Loaded: loaded (/lib/systemd/system/avahi-daemon.service)
          Active: inactive (dead)
          CGroup: name=systemd:/system/avahi-daemon.service

# systemctl -a --full
avahi-daemon.service      loaded inactive dead          Avahi mDNS/DNS-SD Stack
avahi-daemon.socket       loaded inactive dead          Avahi mDNS/DNS-SD Stack Activation Socket
dbus-org.freedesktop.Avahi.service error  inactive dead          dbus-org.freedesktop.Avahi.services

Version-Release number of selected component (if applicable):

avahi.x86_64                      0.6.30-1.fc15             @updates-testing          
avahi-autoipd.x86_64              0.6.30-1.fc15             @updates-testing          
avahi-debuginfo.x86_64            0.6.30-1.fc15             @updates-testing-debuginfo
avahi-glib.x86_64                 0.6.30-1.fc15             @updates-testing          
avahi-libs.i686                   0.6.30-1.fc15             @updates-testing          
avahi-libs.x86_64                 0.6.30-1.fc15             @updates-testing          
avahi-ui-gtk3.x86_64              0.6.30-1.fc15             @updates-testing

How reproducible:
-

Steps to Reproduce:
1.
  
Actual results:
-

Expected results:
-

Additional info:
-
Comment 1 Lennart Poettering 2011-04-15 08:10:10 EDT
Please enable avahi with "systemctl enable avahi-daemon.service".
Comment 2 Reartes Guillermo 2011-04-16 10:12:56 EDT
# systemctl enable  avahi-daemon.service
# systemctl status  avahi-daemon.service
avahi-daemon.service - Avahi mDNS/DNS-SD Stack
          Loaded: loaded (/lib/systemd/system/avahi-daemon.service)
          Active: inactive (dead)
          CGroup: name=systemd:/system/avahi-daemon.service
# systemctl start  avahi-daemon.service
# systemctl status  avahi-daemon.service
avahi-daemon.service - Avahi mDNS/DNS-SD Stack
          Loaded: loaded (/lib/systemd/system/avahi-daemon.service)
          Active: active (running)
        Main PID: 2666 (avahi-daemon)
          Status: "avahi-daemon 0.6.30 starting up."
          CGroup: name=systemd:/system/avahi-daemon.service
                  ├ 2666 avahi-daemon: running [ulquiorra.local]
                  └ 2667 avahi-daemon: chroot helper
# systemctl stop  avahi-daemon.service
# systemctl disable  avahi-daemon.service
rm '/etc/systemd/system/dbus-org.freedesktop.Avahi.service'
rm '/etc/systemd/system/multi-user.target.wants/avahi-daemon.service'
rm '/etc/systemd/system/sockets.target.wants/avahi-daemon.socket'

---[ messages ]----------------

Apr 16 10:56:42 ulquiorra systemd[1]: Reloading.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: Found user 'avahi' (UID 70) and group 'avahi' (GID 70).
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: Successfully dropped root privileges.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: avahi-daemon 0.6.30 starting up.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: Successfully called chroot().
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: Successfully dropped remaining capabilities.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: Loading service file /services/ssh.service.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: Loading service file /services/udisks.service.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: Joining mDNS multicast group on interface virbr0.IPv4 with address 192.168.122.1.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: New relevant interface virbr0.IPv4 for mDNS.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: Joining mDNS multicast group on interface eth1.IPv4 with address 192.168.1.80.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: New relevant interface eth1.IPv4 for mDNS.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: Network interface enumeration completed.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: Registering new address record for 192.168.122.1 on virbr0.IPv4.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: Registering new address record for fe80::206:4fff:fe5a:dda8 on eth1.*.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: Registering new address record for 192.168.1.80 on eth1.IPv4.
Apr 16 10:57:03 ulquiorra avahi-daemon[2666]: Registering HINFO record with values 'X86_64'/'LINUX'.
Apr 16 10:57:04 ulquiorra avahi-daemon[2666]: Server startup complete. Host name is ulquiorra.local. Local service cookie is 86405086.
Apr 16 10:57:04 ulquiorra avahi-daemon[2666]: Service "ulquiorra" (/services/udisks.service) successfully established.
Apr 16 10:57:04 ulquiorra avahi-daemon[2666]: Service "ulquiorra" (/services/ssh.service) successfully established.
Apr 16 10:57:49 ulquiorra avahi-daemon[2666]: Got SIGTERM, quitting.
Apr 16 10:57:49 ulquiorra avahi-daemon[2666]: Leaving mDNS multicast group on interface virbr0.IPv4 with address 192.168.122.1.
Apr 16 10:57:49 ulquiorra avahi-daemon[2666]: Leaving mDNS multicast group on interface eth1.IPv4 with address 192.168.1.80.
Apr 16 10:57:49 ulquiorra dbus: [system] Activating via systemd service name='org.freedesktop.Avahi' unit='dbus-org.freedesktop.Avahi.service'
Apr 16 10:57:49 ulquiorra avahi-daemon[2666]: avahi-daemon 0.6.30 exiting.
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: Found user 'avahi' (UID 70) and group 'avahi' (GID 70).
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: Successfully dropped root privileges.
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: avahi-daemon 0.6.30 starting up.
Apr 16 10:57:49 ulquiorra dbus: [system] Successfully activated service 'org.freedesktop.Avahi'
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: Successfully called chroot().
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: Successfully dropped remaining capabilities.
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: Loading service file /services/ssh.service.
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: Loading service file /services/udisks.service.
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: Joining mDNS multicast group on interface virbr0.IPv4 with address 192.168.122.1.
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: New relevant interface virbr0.IPv4 for mDNS.
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: Joining mDNS multicast group on interface eth1.IPv4 with address 192.168.1.80.
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: New relevant interface eth1.IPv4 for mDNS.
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: Network interface enumeration completed.
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: Registering new address record for 192.168.122.1 on virbr0.IPv4.
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: Registering new address record for fe80::206:4fff:fe5a:dda8 on eth1.*.
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: Registering new address record for 192.168.1.80 on eth1.IPv4.
Apr 16 10:57:49 ulquiorra avahi-daemon[2679]: Registering HINFO record with values 'X86_64'/'LINUX'.
Apr 16 10:57:50 ulquiorra avahi-daemon[2679]: Server startup complete. Host name is ulquiorra.local. Local service cookie is 144844875.
Apr 16 10:57:51 ulquiorra avahi-daemon[2679]: Service "ulquiorra" (/services/udisks.service) successfully established.
Apr 16 10:57:51 ulquiorra avahi-daemon[2679]: Service "ulquiorra" (/services/ssh.service) successfully established.
Apr 16 10:57:57 ulquiorra systemd[1]: Reloading.

---------------------

I disabled the service, since i think i don need it.
Comment 3 Lennart Poettering 2011-04-18 12:07:52 EDT
Hmm, so you disabled it? Where's the problem then?
Comment 4 Reartes Guillermo 2011-04-18 16:50:06 EDT
I disabled it, but there are still some messages being feed to the logs.

# ls /etc/systemd/system/dbus-org.freedesktop.Avahi.service
ls: cannot access /etc/systemd/system/dbus-org.freedesktop.Avahi.service: No such file or directory
# ls /etc/systemd/system/multi-user.target.wants/avahi-daemon.service
ls: cannot access /etc/systemd/system/multi-user.target.wants/avahi-daemon.service: No such file or directory
# ls /etc/systemd/system/sockets.target.wants/avahi-daemon.socket
ls: cannot access /etc/systemd/system/sockets.target.wants/avahi-daemon.socket: No such file or directory

So it was it really disabled?

# systemctl -a --full | grep -i dbus
dbus-org.bluez.service    error  inactive dead          dbus-org.bluez.service
dbus-org.freedesktop.Avahi.service error  inactive dead          dbus-org.freedesktop.Avahi.service
dbus.service              loaded active   running       D-Bus System Message Bus
dbus.socket               loaded active   running       D-Bus System Message Bus Socket

# cat /var/log/messages| grep -i dbus.org | tail -
Apr 18 16:50:29 ulquiorra kernel: [   17.520186] dbus[919]: [system] Activation via systemd failed for unit 'dbus-org.bluez.service': Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
Apr 18 16:50:29 ulquiorra dbus: [system] Activating via systemd service name='org.freedesktop.Avahi' unit='dbus-org.freedesktop.Avahi.service'
Apr 18 16:50:29 ulquiorra dbus: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.Avahi.service': Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
Apr 18 16:50:30 ulquiorra NetworkManager[896]: <warn> bluez error getting default adapter: Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
Apr 18 16:51:06 ulquiorra dbus: [system] Activating via systemd service name='org.freedesktop.Avahi' unit='dbus-org.freedesktop.Avahi.service'
Apr 18 16:51:06 ulquiorra dbus: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.Avahi.service': Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
Apr 18 16:51:20 ulquiorra dbus: [system] Activating via systemd service name='org.freedesktop.Avahi' unit='dbus-org.freedesktop.Avahi.service'
Apr 18 16:51:20 ulquiorra dbus: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.Avahi.service': Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
Apr 18 16:51:27 ulquiorra dbus: [system] Activating via systemd service name='org.freedesktop.Avahi' unit='dbus-org.freedesktop.Avahi.service'
Apr 18 16:51:27 ulquiorra dbus: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.Avahi.service': Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.

I am sure i executed this previously:

# systemctl disable  avahi-daemon.service
rm '/etc/systemd/system/dbus-org.freedesktop.Avahi.service'
rm '/etc/systemd/system/multi-user.target.wants/avahi-daemon.service'
rm '/etc/systemd/system/sockets.target.wants/avahi-daemon.socket'


The problem is that a that time i did this as sugested by the previous messages. Because if i am not using
that service, i want to get rid of those 'error/?' messages.

# systemctl status dbus-org.freedesktop.Avahi.service
dbus-org.freedesktop.Avahi.service
          Loaded: error
          Active: inactive (dead)

Again, if i put a false unit, it outputs the same.*1

# systemctl status dbus-org.freedesktop.Xvahi.service
dbus-org.freedesktop.Xvahi.service
          Loaded: error
          Active: inactive (dead)

----

# systemctl status avahi-daemon.service
avahi-daemon.service - Avahi mDNS/DNS-SD Stack
          Loaded: loaded (/lib/systemd/system/avahi-daemon.service)
          Active: inactive (dead)
          CGroup: name=systemd:/system/avahi-daemon.service

# systemctl status dbus-org.freedesktop.Avahi.service
dbus-org.freedesktop.Avahi.service
          Loaded: error
          Active: inactive (dead)

---

# systemctl disable dbus-org.freedesktop.Avahi.service
Couldn't find dbus-org.freedesktop.Avahi.service.

# systemctl enable dbus-org.freedesktop.Avahi.service
Couldn't find dbus-org.freedesktop.Avahi.service

> Hmm, so you disabled it? Where's the problem then?

Well, i am not sure, after *1 i opened (Bug 697185 - F15 systemd issue with non-existent units[...]).
Are 'avahi-daemon.service' and 'dbus-org.freedesktop.Avahi.service' the same 'service' ? 
Since i can only disable the first and the second appears in the messages, and when taking
into account cases like *1, i feel a bit confused, since i am no expert in systemd. 
(i have used it since the alpha, so it is really not much time). The logs says to check status for the second...
Comment 5 Reartes Guillermo 2011-04-26 16:08:35 EDT
I reinstalled the system, now running beta.

# systemctl -a --full | grep -i avahi
avahi-daemon.service      loaded inactive dead          Avahi mDNS/DNS-SD Stack
dbus-org.freedesktop.Avahi.service error  inactive dead          dbus-org.freedesktop.Avahi.service
avahi-daemon.socket       loaded inactive dead          Avahi mDNS/DNS-SD Stack Activation Socket


# chkconfig --list| grep avahi

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overriden by native
      systemd configuration.

avahi-daemon    0:off   1:off   2:off   3:on    4:on    5:on    6:off


# chkconfig avahi-daemon off
Note: Forwarding request to 'systemctl disable avahi-daemon.service'.

# systemctl -a --full | grep -i avahi
avahi-daemon.service      loaded inactive dead          Avahi mDNS/DNS-SD Stack
dbus-org.freedesktop.Avahi.service error  inactive dead          dbus-org.freedesktop.Avahi.service
avahi-daemon.socket       loaded inactive dead          Avahi mDNS/DNS-SD Stack Activation Socket

# init 6

# systemctl -a --full | grep -i avahi
avahi-daemon.service      loaded inactive dead          Avahi mDNS/DNS-SD Stack
dbus-org.freedesktop.Avahi.service error  inactive dead          dbus-org.freedesktop.Avahi.service
avahi-daemon.socket       loaded inactive dead          Avahi mDNS/DNS-SD Stack Activation Socket
[root@ulquiorra ~]# chkconfig --list | grep -i avahi

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overriden by native
      systemd configuration.

avahi-daemon    0:off   1:off   2:off   3:on    4:on    5:on    6:off

* So, it is still on, so i disable it manually.

#  systemctl disable avahi-daemon.service

# systemctl -a --full | grep -i avahi
avahi-daemon.service      loaded inactive dead          Avahi mDNS/DNS-SD Stack
dbus-org.freedesktop.Avahi.service error  inactive dead          dbus-org.freedesktop.Avahi.service
avahi-daemon.socket       loaded inactive dead          Avahi mDNS/DNS-SD Stack Activation Socket


*but it is still ON!

# chkconfig --list | grep -i avahi

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overriden by native
      systemd configuration.

avahi-daemon    0:off   1:off   2:off   3:on    4:on    5:on    6:off

# systemctl stop avahi-daemon.service

* Well, whatever...

# systemctl stop dbus-org.freedesktop.Avahi.service

# systemctl disable dbus-org.freedesktop.Avahi.service
Couldn't find dbus-org.freedesktop.Avahi.service.

* A unit that can be stopped but not disabled... ?

* Then, disable & stop everything avahi related, just in case...

# systemctl -a --full | grep -i avahi
avahi-daemon.service      loaded inactive dead          Avahi mDNS/DNS-SD Stack
avahi-daemon.socket       loaded inactive dead          Avahi mDNS/DNS-SD Stack Activation Socket

# systemctl stop avahi-daemon.service

# systemctl -a --full | grep -i avahi
avahi-daemon.service      loaded inactive dead          Avahi mDNS/DNS-SD Stack
avahi-daemon.socket       loaded inactive dead          Avahi mDNS/DNS-SD Stack Activation Socket

# systemctl stop avahi-daemon.socket

# systemctl -a --full | grep -i avahi
avahi-daemon.service      loaded inactive dead          Avahi mDNS/DNS-SD Stack
avahi-daemon.socket       loaded inactive dead          Avahi mDNS/DNS-SD Stack Activation Socket

# systemctl disable avahi-daemon.socket
# systemctl -a --full | grep -i avahi
avahi-daemon.service      loaded inactive dead          Avahi mDNS/DNS-SD Stack
avahi-daemon.socket       loaded inactive dead          Avahi mDNS/DNS-SD Stack Activation Socket

# systemctl disable avahi-daemon.service
# systemctl -a --full | grep -i avahi
avahi-daemon.service      loaded inactive dead          Avahi mDNS/DNS-SD Stack
avahi-daemon.socket       loaded inactive dead          Avahi mDNS/DNS-SD Stack Activation Socket

* and now, reboot... will it still be enabled next boot?

* Well, i still have these horrible messages:

Apr 26 16:33:54 ulquiorra dbus: [system] Activating via systemd service name='org.freedesktop.Avahi' unit='dbus-org.freedesktop.Avahi.service'
Apr 26 16:33:54 ulquiorra dbus: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.Avahi.service': Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
Apr 26 16:50:16 ulquiorra dbus: [system] Activating via systemd service name='org.freedesktop.Avahi' unit='dbus-org.freedesktop.Avahi.service'
Apr 26 16:50:16 ulquiorra dbus: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.Avahi.service': Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
Apr 26 16:50:38 ulquiorra dbus: [system] Activating via systemd service name='org.freedesktop.Avahi' unit='dbus-org.freedesktop.Avahi.service'
Apr 26 16:50:38 ulquiorra dbus: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.Avahi.service': Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
Apr 26 16:50:50 ulquiorra dbus: [system] Activating via systemd service name='org.freedesktop.Avahi' unit='dbus-org.freedesktop.Avahi.service'
Apr 26 16:50:50 ulquiorra dbus: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.Avahi.service': Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
Apr 26 16:50:50 ulquiorra dbus: [system] Activating via systemd service name='org.freedesktop.Avahi' unit='dbus-org.freedesktop.Avahi.service'
Apr 26 16:50:50 ulquiorra dbus: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.Avahi.service': Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.


# chkconfig --list | grep -i avahi

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overriden by native
      systemd configuration.

avahi-daemon    0:off   1:off   2:off   3:on    4:on    5:on    6:off


# systemctl -a --full|grep -i avahi
avahi-daemon.service      loaded inactive dead          Avahi mDNS/DNS-SD Stack
dbus-org.freedesktop.Avahi.service error  inactive dead          dbus-org.freedesktop.Avahi.service
avahi-daemon.socket       loaded inactive dead          Avahi mDNS/DNS-SD Stack Activation Socket


I want to get rid of those errors in my messages, by disabling avahiXXXXXXXXXX but i cant. Or at least
i cannot get rid of the messages.

> Hmm, so you disabled it? Where's the problem then?

The problem is those horrible messages i want to get rid off. why the need to output 
any "[...]Activation via systemd failed for[...]" messages for a "supposedly" disabled
unit / service ?
Comment 6 Lennart Poettering 2011-04-27 18:46:11 EDT
If this is just about getting rid of syslog messages, then let's reassign this to dbus which generates them. It should simply suppress them.
Comment 7 Sergio Monteiro Basto 2011-07-14 21:07:00 EDT
hi, 
you got same kind of messages with NetworkManager, on a server, I disable NetworkManager
Comment 8 fer 2011-09-09 20:54:17 EDT
In my case avahi is no installed :

# chkconfig --list | grep ahi

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overridden by native
      systemd configuration.

# systemctl | grep ahi
#

but the message :

Sep  9 18:34:10 xxxx dbus: [system] Activating via systemd: service name='org.freedesktop.Avahi' unit='dbus-org.freedesktop.Avahi.service'

Sep  9 18:34:10 xxxx dbus: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.Avahi.service': Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.Avahi.service' for details.

Then, why systemd is trying to activate Avahi, if it is not installed ?
Comment 9 fer 2011-09-09 23:01:20 EDT
Guillermo, i have found a workaround to that messages in /var/log/messages

1) go to /usr/share/dbus-1/system-services
2) rename file org.freedesktop.Avahi.service to something like :
      org.freedesktop.Avahi.service.copy

That is it. The messages goes out.

BUT :

a) What else if you enable Avahi again ?
b) The management of this file was not a atribution of
   the systemctl command ? That means, when i execute :

# systemctl disable org.freedesktop.Avahi.service

i will believe that Avahi is off and systemd will not try start it.
Am i wrong ?

PS.
I'm just a simple user and don't know systemd deeper. Actually, a have just a vague idea of what systemd is. Maybe it is not a bug at all, and we MUST leave things as they are.

Please David, give us the light !

Cheers
Comment 10 Sergio Monteiro Basto 2011-09-10 01:32:13 EDT
org.freedesktop.Avahi.service
> 
systemctl status avahi-daemon.service

How I do know if it is enabled or disable on startup ? 
systemctl is-enabled avahi-daemon.service 
don't say nothing ! (yeah this could be more friendly ) 

Thanks,
Comment 11 fer 2011-09-10 20:30:37 EDT
Hi Sergio.

# systemctl --full --all

will give you the entire picture. Filter with grep if you want.

Hey david !

Any clues ?
Comment 12 Sergio Monteiro Basto 2011-09-10 20:47:21 EDT
systemctl --full --all | grep avahi
avahi-daemon.service      loaded active   running       Avahi mDNS/DNS-SD Stack
avahi.service             error  inactive dead          avahi.service
avahis.service            error  inactive dead          avahis.service
avahi-daemon.socket       loaded active   listening     Avahi mDNS/DNS-SD Stack Activation Socket

where is write if is enabled or disable on startup ?
Comment 13 fer 2011-09-14 03:02:34 EDT
Hi Sergio !

I don't know exactly.

I think all systemd services are started somewhere at startup. But i am a bit confused with systemd, yet.

maybe :

# chkconfig --list | grep -i avahi

(Please, see the man pages)

But this thread is about :

- Disabling avahi
- systemd starting avahi anyway.

If you want it disabled, just disable it with systemctl command. And "hack" the startup by renaming 

/usr/share/dbus-1/system-services/org.freedesktop.Avahi.service

to something else.
Comment 14 Fedora End Of Life 2012-08-07 11:52:59 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.